#version 330 core

in vec2 UV;
uniform sampler2D inputtex;
uniform sampler2D vignette;
out vec4 color;

void main(){
    color = vec4(texture(vignette, UV).rgb * texture(inputtex, UV).rgb / vec3(4.0), 1.0);
}
